## kernel-package 12.032

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 15:53:52 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Sun Apr 12 18:19:56 2009
## Last Machine Used: anzu.internal.golden-gryphon.com
## Update Count     : 36
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix=
package = kernel-package

CONFLOC    := /etc/kernel-pkg.conf
LIBLOC     := /usr/share/kernel-package
MODULE_LOC := /usr/src/modules

DOCFILES = README.modules Rationale Kernel.htm
EXAMPLES = sample.kernel-img.conf etc

# where kernel-package files go to
DEBDIR     = $(LIBLOC)
DEBDIR_NAME= $(shell basename $(DEBDIR))

DOCDIR     = $(prefix)/usr/share/doc/$(package)
MANTOP     = $(prefix)/usr/share/man/
MAN5DIR    = $(prefix)/usr/share/man/man5
MAN1DIR    = $(prefix)/usr/share/man/man1
MAN5DIR    = $(prefix)/usr/share/man/man5
MAN8DIR    = $(prefix)/usr/share/man/man8



BASH_DIR:= $(prefix)/etc/bash_completion.d

# install commands
install_file   = install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory = install -p -d -o root -g root -m 755

all: check

build: check

genpo4a:  po4a/po4a.conf
	if [ -e /usr/bin/po4a ] ; then    \
	  po4a --previous po4a/po4a.conf; \
	fi

check:
	perl  -wc make-kpkg
	-perl -wc kernel/pkg/image/preinst
	-perl -wc kernel/pkg/image/postinst
	-perl  -wc kernel/pkg/image/postrm
	-perl  -wc kernel/pkg/image/prerm
	-perl  -wc kernel/pkg/image/config
	perl  -wc kernel/pkg/headers/postinst
	perl  -wc kernel/pkg/headers/postrm
	perl  -wc kernel/pkg/headers/preinst
	perl  -wc kernel/pkg/headers/prerm
	perl  -wc kernel/pkg/doc/postinst
	perl  -wc kernel/pkg/doc/postrm
	perl  -wc kernel/pkg/doc/preinst
	perl  -wc kernel/pkg/doc/prerm
	perl  -wc kernel/pkg/source/postinst
	perl  -wc kernel/pkg/source/postrm
	perl  -wc kernel/pkg/source/preinst
	perl  -wc kernel/pkg/source/prerm
	bash  -n  kernel/pkg/headers/create_link
	bash  -n  kernel/pkg/virtual/um/postinst
	bash  -n  kernel/pkg/virtual/um/prerm
	bash  -n  kernel/pkg/virtual/xen/postinst
	bash  -n  kernel/pkg/virtual/xen/prerm
	bash -n  kernel/examples/etc/kernel/header_postinst.d/link
	bash -n  kernel/examples/etc/kernel/postinst.d/initramfs
	bash -n  kernel/examples/etc/kernel/postinst.d/symlink_hook
	bash -n  kernel/examples/etc/kernel/postinst.d/grub_conf
	bash -n  kernel/examples/etc/kernel/postinst.d/force-build-link
	bash -n  kernel/examples/etc/kernel/postinst.d/yaird
	bash -n  kernel/examples/etc/kernel/header_prerm.d/link
	bash -n  kernel/examples/etc/kernel/postrm.d/initramfs
	bash -n  kernel/examples/etc/kernel/postrm.d/grub_rm
	bash -n  kernel/examples/etc/kernel/postrm.d/force-build-link
	bash -n  kernel/examples/etc/kernel/postrm.d/yaird
	bash -n  kernel/examples/etc/kernel/header_postrm.d/link

install: genpo4a
	$(make_directory)  $(MAN1DIR)
	$(make_directory)  $(MAN5DIR)
	$(make_directory)  $(MAN8DIR)
	$(make_directory)  $(DOCDIR)/examples
	$(make_directory)  $(BASH_DIR)
	$(make_directory)  $(prefix)/usr/bin
	$(make_directory)  $(prefix)/usr/sbin
	$(make_directory)  $(prefix)/usr/share/$(package)/docs
	$(install_file)    debian/changelog                  $(DOCDIR)/changelog
	$(install_file)    README                            $(DOCDIR)/README
	$(install_file)    Problems                          $(DOCDIR)/Problems
	$(install_file)    debian/NEWS.Debian                $(DOCDIR)/
	$(install_file)    _make-kpkg                        $(BASH_DIR)/make_kpkg
	gzip -9fqr         $(DOCDIR)
	(cd $(DOCDIR);     for file in $(DOCFILES); do                  \
                            ln -s ../../$(package)/docs/$$file $$file;  \
                           done)
	$(install_file)    debian/copyright  	      $(DOCDIR)/copyright
	$(install_file)    kernel-pkg.conf.5 	      $(MAN5DIR)/kernel-pkg.conf.5
	$(install_file)    kernel-img.conf.5 	      $(MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.5  	      $(MAN5DIR)/kernel-package.5
	$(install_file)    make-kpkg.8       	      $(MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.8     $(MAN8DIR)/
	for lang in fr; do                                                                             \
          test ! -f kernel-pkg.conf.$$lang.5          || test -d $(MANTOP)/$$lang/man5    ||           \
                                                         mkdir -p $(MANTOP)/$$lang/man5;               \
          test ! -f kernel-pkg.conf.$$lang.5          ||                                               \
           $(install_file) kernel-pkg.conf.$$lang.5   $(MANTOP)/$$lang/man5/kernel-pkg.conf.5;         \
          test ! -f kernel-img.conf.$$lang.5          || test -d $(MANTOP)/$$lang/man5    ||           \
                                                         mkdir -p $(MANTOP)/$$lang/man5;               \
          test ! -f kernel-img.conf.$$lang.5          ||                                               \
           $(install_file) kernel-img.conf.$$lang.5   $(MANTOP)/$$lang/man5/kernel-img.conf.5;         \
          test ! -f kernel-package.$$lang.5           || test -d $(MANTOP)/$$lang/man5    ||           \
                                                         mkdir -p $(MANTOP)/$$lang/man5;               \
          test ! -f kernel-package.$$lang.5           ||                                               \
           $(install_file) kernel-package.$$lang.5    $(MANTOP)/$$lang/man5/kernel-package.5;          \
          test ! -f make-kpkg.$$lang.8                || test -d $(MANTOP)/$$lang/man1    ||           \
                                                         mkdir -p $(MANTOP)/$$lang/man1;               \
          test ! -f make-kpkg.$$lang.8                ||                                               \
           $(install_file) make-kpkg.$$lang.8         $(MANTOP)/$$lang/man1/make-kpkg.1;               \
          test ! -f kernel-packageconfig.$$lang.8     || test -d $(MANTOP)/$$lang/man8    ||           \
                                                         mkdir -p $(MANTOP)/$$lang/man8;               \
          test ! -f kernel-packageconfig.$$lang.8     ||                                               \
           $(install_file) kernel-packageconfig.$$lang.8 $(MANTOP)/$$lang/man8/kernel-packageconfig.8; \
        done
	gzip -9fqr         $(prefix)/usr/share/man
	$(install_file)    kernel-pkg.conf            $(prefix)/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig       $(prefix)/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg                  $(prefix)/usr/bin/make-kpkg
	perl -pli          -e 's/=K=V/$(version)/'    $(prefix)/usr/bin/make-kpkg
	$(install_file)    Rationale                  $(prefix)/usr/share/$(package)/docs/
	(cd kernel;        tar cf - * |                                         \
           (cd             $(prefix)/usr/share/$(package); umask 000;           \
                           tar xpf -))
	test ! -d          $(prefix)/usr/share/$(package)/ruleset/common/\{arch\} || \
               rm -rf      $(prefix)/usr/share/$(package)/ruleset/common/\{arch\}
	find $(prefix)/usr/share/$(package) -type d -name .arch-ids -print0 |   \
           xargs -0r rm -rf
	test ! -d $(prefix)/usr/share/$(package)/examples ||                       \
             for example in $(prefix)/usr/share/$(package)/examples/*; do          \
                 file=`basename $$example`;                                        \
                 ln -s ../../../$(package)/examples/$$file $(DOCDIR)/examples/$$file; \
             done
# Hack, tell the   rules file what version of kernel package it is
	sed -e             's/=K=V/$(version)/' kernel/rules > \
                              $(prefix)/usr/share/$(package)/rules
	chmod  0755          $(prefix)/usr/share/$(package)/rules

clean distclean:
	for lang in es fr; do                        \
          test ! -f kernel-pkg.conf.$$lang.5 ||      \
            rm  kernel-pkg.conf.$$lang.5      ;      \
	  test ! -f kernel-img.conf.$$lang.5 ||      \
            rm  kernel-img.conf.$$lang.5      ;      \
	  test ! -f kernel-package.$$lang.5 ||       \
            rm  kernel-package.$$lang.5       ;      \
	  test ! -f make-kpkg.$$lang.5 ||            \
            rm  make-kpkg.$$lang.8            ;      \
	  test ! -f kernel-packageconfig.$$lang.5 || \
            rm  kernel-packageconfig.$$lang.8 ;      \
        done

=== debian/changelog ===
kernel-package (12.032) unstable; urgency=low

  * [5ba7956]: Adjust to compile.h moving to include/generated Patch
    contributed by Jean-Luc Coulon and Matt Krai.
    Bug fix: "Fails with Linux 2.6.33-rc1", thanks to Sven Joachim
    (Closes: #561569).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 04 Jan 2010 14:41:22 -0600

kernel-package (12.031) unstable; urgency=low

  * More XEN work.
  * [e6654f5]: Treat XEN images just like normal images in yet another
    place
 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Nov 2009 22:58:33 -0600

kernel-package (12.030) unstable; urgency=low

  * Minot tweak for the Xen images
    [b4a82ae]: Don't install vmlinux by default for XEN images
    If people want it, it can be set in the config file.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 21:25:19 -0600

kernel-package (12.029) unstable; urgency=low

  * Fix the fallout from the previous changes.
  * [dc3524a]: Decouple the name of the kernel image from the target
    In a number of cases the target we invoke and the image file
    produced have different names. kernel-package has historically
    coupled them, and taken corrective action in postinst, this commit,
    along with the previous one, moves us to a cleaner state.
    Bug fix: "make-kpkg binary-arch fails: No rule to make target
    `vmlinuz'", thanks to Євгеній Мещеряков          (Closes: #557102).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 10:24:00 -0600

kernel-package (12.028) unstable; urgency=low

  * More bug fixes with the XEN images.
  * [3ec0509]: Brown Paper bag spelling fix: iamge -> image
  * [34fa772]: Rework handling of XEN packages 
  
    So far, kernel-package would pay special attention to the
    configuration files that enabled XEN hypervisor/guest images, mangling
    the package name, and changing the file paths where the images were
    dumped. This caused no end of confusion to third party tools, and also
    surprised people when packages with different names had unexpected
    file conflicts. With dpkg defaulting to --force-overwrite that could
    be catastrophic.  This is because a normal kernel image, a XenU or a
    Xen0 image, all looked for modules in /lib/modules/$version, and would
    conflict.  
  
    With this commit, kernel-package stops paying attention to the XEN
    configuration hints in the config, producing a normal kernel image.
    If users want to have a DomU or a Dom0 image from the same kernel
    version, they will have to do what people wanting to run kernels witht
    he same version with differing configurations have always had to do:
    use --append-to-version to make the kernel images packages not
    conflict. 
    Bug fix: "postinstallation script uses wrong name for xen0 kernel",
    thanks to John Hughes                                (Closes: #556929).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Nov 2009 00:38:06 -0600

kernel-package (12.027) unstable; urgency=low

  * [8beaceb]: Fix the control file to use the new XEN image names
    Bug fix: "make-kpkg picks wrong name for xen kernel", thanks to John
    Hughes                                               (Closes: #556783).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 23:08:43 -0600

kernel-package (12.026) unstable; urgency=low

  * A new bug fixing version
  * [6d91188]: Add an example of cross compiling for a subarch Based on
    a bug report by Arthur Marsh 
  * [b9434e8]: Change the name of the Xen image packages to be closer to
    grub expectations 
    Bug fix: "standard make-kpkg proceedure creates xenu image", thanks to
    Alan BRASLAU                                        (Closes: #556043).
  * [a76509e]: Add .gnu_debuglink section to installed modules make-kpkg
    produces split debuginfo for modules and does not add .gnu_debuglink
    section. This causes problems with tools that expect debuginfo files
    with extension .debug (like libwd1, used by systemtap).
    Bug fix: "should add .gnu_debuglink section to kernel modules", thanks
    to Євгеній Мещеряков                                (Closes: #556130).
  * [22e91f3]: Add a new HOWTO from Stephen Powell

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 02:43:53 -0600

kernel-package (12.025) unstable; urgency=low

  * [08f81b5]: Remove mention of removed feature of on-the-fly patching
    The feature of patching the kernel while compiling it has been
    removed, since it was way more trouble than it was worth, did not
    play nice with a git repo, and has a n easy work around -- just pre-
    patching the source. This commit removes mentioning it as a
    supported feature. 
    Bug fix: "no documentation on how to apply patches", thanks to Felipe
    Sateler                                             (Closes: #552521).
  * [8969dc9]: Fix description of the --revision option If supplied,
    this sets the whole version of the package, not just the Debian
    revision. Rather than change behaviour and break people's setup,
    made the documentation reflect reality. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Nov 2009 00:23:01 -0600

kernel-package (12.024) unstable; urgency=low

  * New bug fixing release
  * [adc056e]: Fix the regular expression used for Xen images
    Also, correct the package name for the Xen image package in the
    maintainer scripts.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Oct 2009 13:11:09 -0500

kernel-package (12.023) unstable; urgency=low

  * [20ca199]: Properly record Xen image names Properly set Kimage for
    Xen images, and make the image maintainer scripts recognize these
    new names.
    Bug fix: "postinst file for xen kernel should be modified", thanks to
    Jean-Pierre Flori (Closes: #551657).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Oct 2009 18:57:04 -0500

kernel-package (12.022) unstable; urgency=low

  * 
  * [c526081]: Fix problems with building Xen kernel image packages


=== debian/control ===
Source: kernel-package
VCS-Git: git://git.debian.org/~srivasta/debian/kernel-package.git
VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/kernel-package.git;a=summary
Priority: optional
Section: kernel
Build-Depends-Indep: po4a (>= 0.31)
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.8.3.0

Package: kernel-package
Description: A utility for building Linux kernel related Debian packages.
 This package provides the capability to create a Debian kernel image
 package by just running make-kpkg kernel_image in a kernel source
 directory tree.  It can also package the relevant kernel headers into
 a kernel-headers package. In general, this package is very useful if
 you need to create a custom kernel, if, for example, the default
 kernel does not support some of your hardware, or you wish a leaner,
 meaner kernel.  It also scripts the steps that need be taken to
 compile the kernel, which is quite convenient (forgetting a crucial
 step once was the initial motivation for this package). Please look at 
 /usr/share/doc/kernel-package/Rationale.gz for a full list of advantages
 of this package.
Depends: build-essential, make (>= 3.80-10), po-debconf, gettext, file,
          debianutils (>= 2.30), binutils (>= 2.12), util-linux (>= 2.10o),
          module-init-tools (>= 0.9.10)
Recommends: cpio
Suggests: linux-source | kernel-source, e2fsprogs (>= 1.41.4),
           libncurses-dev, docbook-utils, xmlto, e2fsprogs (>= 1.29), bzip2,
           linux-initramfs-tool, grub (>= 0.93) | grub2, jfsutils (>= 1.1.3),
           mcelog (>= 0.6), oprofile (>= 0.9), pcmciautils (>= 004),
           ppp (>= 2.4.0), procps (>= 3.2.0), reiserfsprogs (>= 3.6.3),
           squashfs-tools (>= 4.0), udev (>= 081), xfsprogs (>= 2.6.0),
           quota, btrfs-tools
Architecture: all

## kernel-package 12.033

=== debian/changelog ===
kernel-package (12.033) unstable; urgency=low

  * New bug fixing revision
  * [5226aad]: Change perl pattern match expressions in maintainer
    scripts to use the first occurrence only Also, anchor matches to the
    beginning of line.
    Bug fix: "See Bug#568317: linux-image-* postinst did not correctly run
    lilo", thanks to Paul Szabo                            (Closes: #568823).
  * [88f663a]: Fix a cut-and-paste typo
    Bug fix: "[kernel-package] syntax error in
    rulesets/targets/common.mk", thanks to Daniel Schaal   (Closes: #564452).
  * [2292461]: Allow a 0 revision
    Dont just test $version, but make sure that it is defined
    and non-empty, and thus permit a 0 revision.
    Bug fix: "Doesn&#39;t allow 0 revision", thanks to Matt Kraai (Closes: #566510).
  * [b804928]: Add a -j/--jobs option to make-kpkg
    This allows the user to build a kernel image package in parrallel, by
    using the internal CONCURRENCY_LEVEL variable. Idea and code from
    owen.riddy@gmail.com. 
    Bug fix: "Please add a &#39;-jX&#39; flag to make-kpkg", thanks to
    owen.riddy@gmail.com                                        (Closes: #569760).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 15 Feb 2010 20:20:40 -0800

## kernel-package 12.036%2Bnmu3

=== debian/changelog ===
kernel-package (12.036+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typos in man pages, thanks to Chris Leick, and other formatting
    errors. (Closes: #654451)
  * Add German man pages translation by Chris Leick. (Closes: #654315)
  * Update man pages French translation.
  * kernel/ruleset/targets/common.mk: Allow building > 3.3 kernel, thanks to
    Ben Hutchings for the patch. (Closes: #663474)

 -- David Prévot <taffit@debian.org>  Wed, 15 Aug 2012 11:46:24 -0400

kernel-package (12.036+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove minimum-version checks that were incorrect for Linux 3.x and
    were already satisfied by Linux 2.6.26 (lenny) (Closes: #635563)
  * Look for lguest tools in both Documentation/virtual/lguest and
    Documentation/lguest (Closes: #638012)
  * Do not suggest obsolete ksymoops package (Closes: #637421)
  * Fix incompatibility with make 3.82 due to indentation with spaces
    (Closes: #635019), thanks to Jens Lody
  * Fix native builds on armel and armhf (Closes: #633743):
    - Test for cross-compilation by comparing build CPU name with host
      CPU name, not host Debian architecture name
    - Merge armel.mk into arm.mk
    - Add default configuration for armhf
  * Change all example revisions in README to begin with a digit, as
    now expected by dpkg (Closes: #620515)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 04 Mar 2012 01:36:38 +0000

kernel-package (12.036+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Manpages translations:
    - French. Closes: #598048
  * Fix the clean target to actually clean translated manpages.

 -- David Prévot <david@tilapin.org>  Tue, 09 Nov 2010 19:25:36 -0400

kernel-package (12.036) unstable; urgency=high

  * Fixing bugs introduced in the last bug fixing release
  * [9b4c1f8]: [master]: remove spurious symlink from examples
    Bug fix: "No such file or directory", thanks to Tino Keitel
                                                     (Closes:  #589700).
  * [198831c]: [master]: Cater to a cross compilation variable setting
    of - 
    Bug fix: "64-bit kernel build on i386 is broken", thanks to Sven
    Joachim                                           (Closes: #589704).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Jul 2010 22:49:06 -0700

kernel-package (12.035) unstable; urgency=high

  * More bug fixes. Priority high since it fixes an important (previously
    "grave") bug. 
  * [4729677]: [master]: Make make-kpkg clean less verbose
    Bug fix: "too verbose on clean target", thanks to Cameron Hutchison
                                                         (Closes: #576926).
  * [805647d]: [master]: Do not pass -nc to dpkg-buildpackage Passing -
    nc made dpkg-buildpackage default to not building source, and that
    caused the buildpackage to fail (arguably, this is a bug in dpkg).
    Bug fix: "make-kpkg buildpackage fails with 2.6.33", thanks to
    Christoph Anton Mitterer                             (Closes: #581182).
  * two patches to improve symlink creation with kernel-package example
    scripts, thanks to  Anisse Astier <anisse@astier.eu>

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Jul 2010 11:20:46 -0700

kernel-package (12.034) unstable; urgency=low

  * Bug fixes.
  * [277021f]: [master]: Fixed incomplete paranoid check for image names
    in postinst Thanks to crazyorcmeister@gmail.com
    Bug fix: "Fails to build linux-image on 2.6.35-rc4 if
    CONFIG_LOCALVERSION is set", thanks to Sven Joachim (Closes: #588126).
  * [0f83b83]: [master]: allow arch specific Makefiles to override
    objcopy as needed. kernel-package fails to build a kernel package on
    hppa when the target kernel is 64-bit. It fails because kernel-
    package uses hardcoded "objcopy" to build /usr/lib/debug debuginfo
    files for kernel modules but 64-bit kernel needs crosscompile prefix
    on parisc and normal objcopy does not understand the 64-bit module
    format. This change uses the same mechanism as the kernel Makefiles
    to allow arch specific Makefiles to specify what to use as objcopy.
    Bug fix: "wrong objcopy on 64-bit parisc, debug symbol stripping
    fails", thanks to Meelis Roos                        (Closes: #576725).
  * [f0bf2cf]: [master]: use KERNELRELEASE instead of version in the few
    remaining places. The generated debian/control file uses version
    rather than KERNELRELEASE varible which means that extra/local
    verion doesn't get into the file and the package build fails. This
    patch converts the remaining places that do not use KERNELRELEASE.
    Thanks to Michal Hocko <mstsxfx@gmail.com>           Closes: Bug#588126
    Signed-off-by: Manoj Srivastava <srivasta@debian.org>
  * [49d0e16]: [master]: Allow $(DEB_DEST) to be Overridden
    Bug fix: "Please Allow $(DEB_DEST) to be Overridden", thanks to
    Elliott Mitchell                                       (Closes: #572398).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 18 Jul 2010 10:00:10 -0700

## kernel-package 12.036+nmu1

=== Makefile ===
--- 
+++ 
@@ -165,8 +165,8 @@
             rm  kernel-img.conf.$$lang.5      ;      \
 	  test ! -f kernel-package.$$lang.5 ||       \
             rm  kernel-package.$$lang.5       ;      \
-	  test ! -f make-kpkg.$$lang.5 ||            \
+	  test ! -f make-kpkg.$$lang.8 ||            \
             rm  make-kpkg.$$lang.8            ;      \
-	  test ! -f kernel-packageconfig.$$lang.5 || \
+	  test ! -f kernel-packageconfig.$$lang.8 || \
             rm  kernel-packageconfig.$$lang.8 ;      \
         done

## kernel-package 12.036+nmu3

=== Makefile ===
--- 
+++ 
@@ -112,7 +112,7 @@
 	$(install_file)    kernel-package.5  	      $(MAN5DIR)/kernel-package.5
 	$(install_file)    make-kpkg.8       	      $(MAN1DIR)/make-kpkg.1
 	$(install_file)    kernel-packageconfig.8     $(MAN8DIR)/
-	for lang in fr; do                                                                             \
+	for lang in de fr; do                                                                             \
           test ! -f kernel-pkg.conf.$$lang.5          || test -d $(MANTOP)/$$lang/man5    ||           \
                                                          mkdir -p $(MANTOP)/$$lang/man5;               \
           test ! -f kernel-pkg.conf.$$lang.5          ||                                               \
@@ -158,7 +158,7 @@
 	chmod  0755          $(prefix)/usr/share/$(package)/rules
 
 clean distclean:
-	for lang in es fr; do                        \
+	for lang in de fr; do                        \
           test ! -f kernel-pkg.conf.$$lang.5 ||      \
             rm  kernel-pkg.conf.$$lang.5      ;      \
 	  test ! -f kernel-img.conf.$$lang.5 ||      \

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: kernel
 Build-Depends-Indep: po4a (>= 0.31)
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.8.3.0
+Standards-Version: 3.8.4.0
 
 Package: kernel-package
 Description: A utility for building Linux kernel related Debian packages.

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile; coding: utf-8 -*- ###########################
## rules --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Fri Nov 14 12:33:34 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Nov 18 17:23:54 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 69
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
## arch-tag: 9a5063f4-1e20-4fff-b22a-de94c1e3d954
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
###############################################################################

# Include dpkg-architecture generated variables
include debian/common/archvars.mk

# Set variables with information extracted from control and changelog files
include debian/common/pkgvars.mk

# This package is what we get after removing the psuedo dirs we use in rules
this_pkg = $(filter-out %/,$(subst /,/ ,$@))


# Location of the source dir
SRCTOP     := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)


TMPTOP = $(SRCTOP)/debian/tmp
# Man Pages
MAN1DIR = $(TMPTOP)/usr/share/man/man1
MAN3DIR = $(TMPTOP)/usr/share/man/man3
MAN5DIR = $(TMPTOP)/usr/share/man/man5
MAN7DIR = $(TMPTOP)/usr/share/man/man7
MAN8DIR = $(TMPTOP)/usr/share/man/man8
INFODIR = $(TMPTOP)/usr/share/info
DOCTOP  = $(TMPTOP)/usr/share/doc

# Places to put overrides
LINTIANDIR:= $(TMPTOP)/usr/share/lintian/overrides

# variables useful for perl packages
include debian/common/perlvars.mk

# Install commands
include debian/common/install_cmds.mk

include debian/local-vars.mk

include debian/common/copt.mk

include debian/common/automake.mk



all:
	@echo nothing to be done.

include debian/common/targets.mk

include debian/local.mk


#Local variables:
#mode: makefile
#End:

## kernel-package 13.014

=== debian/changelog ===
kernel-package (13.014) unstable; urgency=medium

  * There was a bug in the dh install configuration file, that moved all
    kernel-package conf files to /etc/etc/. This commit fixes that.
    (Closes: #751751).
  * jumped on a s390x porterbox, and created initial support for a s390x
    architecture, based mostly on what we did for s390. (Closes: #750604).
  * Bug fix #751751: "conffiles not removed", thanks to Paul Wise. We
    handled obsolete conffiles sub-optimally since they were not really
    supposed to be obsolete.
  * Bug fix #750604: "No Support in kernel-package for s390x
    architecture", thanks to Stephen Powell

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Jun 2014 12:22:12 -0700

kernel-package (13.013) unstable; urgency=low

  * kernel-img built with the current kernel-package fails to install on
    an older system (wheezy) due to dependency on kernel-common package
    which is not available there. Based on a suggestion by Michal Hocko,
    changed the relationship to a Recommends, which is what it should have
    been in the first place.  (Closes: #749318).
  * Since the linux-image packages produced by make-kpkg recommend
    kernel-common, , development packages could be forced on to systems
    which installl kernel-common just for the man page. A patch from Sven
    Joachim fixes this oversight. (Closes: #749388).
  * Bug fix #749318: "kernel-img depends on kernel-common", thanks to
    Michal Hocko
  * Bug fix #749388: "postinst should not call dpkg-architecture", thanks
    to Sven Joachim

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 May 2014 17:19:04 -0700

kernel-package (13.012) unstable; urgency=low

  * There are three different views of what architecture a machine hasL
    That of the linux kernel, that of dpkg, and that of the GNU
    configuration systems, So, when the user specifies arch and subarch,
    the information has to be transformed for all the systems, as
    required. This commit tries to give the correct information to dpkg,
    and also still take into account sub architecture specifications.
    (Closes: #748702).
  * Add a dependency on dpkg-dev for the kernel-common package, since the
    maintainer scripts use dpkg-architecture. Alsom kernel-package can't
    really do anything useful without pkg-dev, so added there as well.
    (Closes: #748862).
  * Bug fix #748702: "make-kpkg creates packages with missing architecture
    on i386", thanks to Sven Joachim
  * Bug fix #748862: "missing dependency on dpkg-dev", thanks to Adam
    Borowski


 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 May 2014 23:41:57 -0700

kernel-package (13.011) unstable; urgency=low

  * The fix for building packages with the correct sub--architecture was
    flawed, in the sense it always looked at theKPKG_ARCH, even when there
    was no need to stray away from DEB_HOST_ARCH. This commit relieas on
    dpkg-architecture to tell us what the proper arch should be for a
    situation where we are building for a subarchitecture.
    (Closes: #748316).
  * Bug fix #748316: "Arch set to x86_64 instead of amd64", thanks to Geoff
    Simonds

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 May 2014 21:16:25 -0700

kernel-package (13.010) unstable; urgency=low

  * No longer have generated kernel images depend on ksymoops, a long
    defunct package, since it is useless with kernels >= 2.6.
    (Closes: #748066).
  * When the user asks for the arch name to be part of the kernel image
    package version string, only image and debig packages included the
    arch in the name. This commit makes the name of the header package
    also be consistent with the image names. At this point, the source and
    document/manual package names remain generic, since arch specific
    differences should not exist in those packages. (Closes: #568576).
  * the image packages generated by kernel-package also build in the
    modules requested in the configuration file, so there is no
    linux-moules-* package. However, in case there are dependencies on
    that package name, the image package now also claims to provide the
    modules package. (Closes: #599815).
  * In order to ease the life of people cross compiling, or building for a
    subarch, do not call dpkg-gencontrol with the host archtecture, but
    rather, with the architecture we built the kernel image for.
    (Closes: #563300).
  * Hopped on to an armel machine to test make-kpkg. The CPU is reported
    as arm by dpkg-architecture, so the top level logic in kernel-package
    was correct.Unfortunately, the armel specific file wassumed the CPU
    was armel, so nothing got included.  Corrected that inner check in
    this release.  (Closes: #664854).
  * Bug fix #748066: "generated linux-image packages suggest ksymoops",
    thanks to Sven Joachim
  * Bug fix #568576: "builds non-matching kernel and headers packages",
    thanks to Michal Suchanek <hramrach@centrum.cz>
  * Bug fix #599815: "make-kpkg doesn't set correctly 'Provides: '
    field", thanks to Gérald Colangelo
  * Bug fix #563300: "on cross compile the 'control' file contains host
    architecture", thanks to Michael Tuschik
  * Bug fix #664854: "kernel-package no longer supports armel
    architecture", thanks to David Madore

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 May 2014 10:54:44 -0700

kernel-package (13.009) unstable; urgency=low

  * pared down on the list of suggested packages, and added to the build
    dependencies packages that are actually useful when building kernels
    (as opposed to packages that might be required for kernel images).
    (Closes: #747925).
  * only make the kernel depend on initramfs tools if a initrd was
    requested.  This reduces the number of dependencies to those really
    required.  (Closes: #747911).
  * Created a new kernel-common package to host kernel-img.conf
    manpages. Create a default kernel-img.conf similar to the one


## kernel-package 13.014+nmu1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################ -*- Mode: Makefile -*- ###########################
-## Makefile --- 
-## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
+## Makefile ---
+## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com )
 ## Created On       : Tue Nov 18 15:53:52 2003
 ## Created On Node  : glaurung.green-gryphon.com
 ## Last Modified By : Manoj Srivastava
@@ -8,11 +8,11 @@
 ## Last Machine Used: anzu.internal.golden-gryphon.com
 ## Update Count     : 36
 ## Status           : Unknown, Use with caution!
-## HISTORY          : 
-## Description      : 
-## 
+## HISTORY          :
+## Description      :
+##
 ###############################################################################
-prefix=
+prefix=$(DESTDIR)
 package = kernel-package
 
 CONFLOC    := /etc/kernel-pkg.conf
@@ -33,6 +33,7 @@
 MAN5DIR    = $(prefix)/usr/share/man/man5
 MAN8DIR    = $(prefix)/usr/share/man/man8
 
+version := $(shell dpkg-parsechangelog --show-field Version)
 
 
 BASH_DIR:= $(prefix)/etc/bash_completion.d

=== debian/changelog ===
kernel-package (13.014+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move examples to /usr/share/kernel-common and symlink from
    /u/s/d (Closes: #767857)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 26 Nov 2014 21:56:16 +0000

=== debian/control ===
Source: kernel-package
VCS-Git: git://anonscm.debian.org/users/srivasta/debian/kernel-package.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/kernel-package.git;a=summary
Priority: optional
Section: kernel
Build-Depends-Indep: po4a (>= 0.31), debhelper (>= 9)
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.9.5

Package: kernel-package
Architecture: all
Depends: build-essential, po-debconf, gettext, file, ${misc:Depends},
          bc, binutils, kmod, xz-utils, xmlto, lzma, bzip2, dpkg-dev
Recommends: docbook-utils, cpio, uboot-mkimage, kernel-common
Suggests: linux-source, libncurses-dev
Description: utility for building Linux kernel related Debian packages
 This package provides the capability to create a Debian kernel image
 package by just running make-kpkg kernel_image in a kernel source
 directory tree.  It can also package the relevant kernel headers into
 a kernel-headers package. In general, this package is very useful if
 you need to create a custom kernel, if, for example, the default
 kernel does not support some of your hardware, or you wish a leaner,
 meaner kernel.  It also scripts the steps that need be taken to
 compile the kernel, which is quite convenient (forgetting a crucial
 step once was the initial motivation for this package). Please look at
 /usr/share/doc/kernel-package/Rationale.gz for a full list of advantages
 of this package.

Package: kernel-common
Architecture: all
Depends: ${misc:Depends}
Suggests: kernel-package
Enhances: kernel-package, linux-image
Replaces: kernel-package (<= 13.008)
Description: common elements for generated kernel packages
 This package provides the common elements that are useful for the
 package generated by kernel-package, but which may be installed on
 machines that kernel-package is not itself installed on, for instance,
 manual pages pertaining to the kernel image packages
 .
 It also contains example scripts that may be use when installed in
 /etc/kernel/*.d directories, to take action when the kernel image or
 header packages are installed.

## kernel-package 13.018

=== debian/changelog ===
kernel-package (13.018) unstable; urgency=low

  * Remove the configuration files that only appeared in one rleease to
    unstable due to a misunderstanding of ./debian/conffile whicle moving
    to dh.
  * Bug fix: "conffiles not removed", thanks to Paul Wise (Closes:
    #776340).
  * Bug fix: "doesn&#39;t clean up correctly", thanks to Christoph Anton
    Mitterer (Closes: #751825).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 16 Feb 2016 15:34:41 -0800

kernel-package (13.017) unstable; urgency=high

  * Bug fix: "Resultant kernels may need to depend upon kmod", thanks to
    Elliott Mitchell (Closes: #774601).
  * Bug fix: "Installed vmlinuz file has insufficient read permissions",
    thanks to Toby Speight (Closes: #775834).
  * Bug fix: "please document passing CFLAGS (actually KCFLAGS) to kernel
    makefile", thanks to Arthur Marsh (Closes: #777105).
  * Bug fix: "does not depends on initramfs-tools when using --initrd",
    thanks to Cyril B. (Closes: #780278).
  * Bug fix: "cannot produce debs anymore", thanks to Ritesh Raj Sarraf
    The real issue here was that the kernel was built using the deprecated
    sudo, instead of fakeroot, and created ./debian directory as
    root. Clean, however, is not run as root, so it could not delete
    ./debian, and failed. This is now documented. (Closes: #812470).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 15 Feb 2016 10:53:24 -0800

kernel-package (13.016) unstable; urgency=high

  * New bug fixing release
  * Bug fix: "sample.module.control.dpkg-new missing", thanks to Adam
    Borowski. dpkg does not like converting a link to a directory.
    (Closes: #810901).
  * Bug fix: "Description refers to wrong file name", thanks to Ben Harris
    (Closes: #766107).
  * Bug fix: "Wheezy compatibility: &quot;dpkg-parsechangelog
    --show-field&quot; unsupported", thanks to Sven-Haegar Koch. Used
    suggested change  (Closes: #779309).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 Jan 2016 22:32:26 -0800

kernel-package (13.015) unstable; urgency=low

  * Updated the Copyright file to machine readable format
  * Updated to policy version 3.6.0. No changes required
  * Updated the VCS-* fields in the control file to use https transport.
  * Bug fix: "French translation update", thanks to David Prévot (Closes:
    #789078).
  * Bug fix: "--revision is broken (again)", thanks to Roland Koebler
    Actually, in this case, it is the documentation which is broken; it
    fails to mention that the revision number must start with a
    digit. (Closes: #782447).
  * Bug fix: "make-kpkg(1) says initramfs hook scripts need to be
    explicitly enabled", thanks to Ben Hutchings> Explicitly note that
    initramfs-tools installs scripts, as does dracut. (Closes: #765609).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 10 Jan 2016 00:53:17 -0800

kernel-package (13.014+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix the install device-tree rule by dtbs_install (Closes: #804518)
  * Include patches to support s390x (Closes: #751928)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 18 Nov 2015 12:27:43 +0800

kernel-package (13.014+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Install device-tree dtbs. (Closes: #782759)
  * Support arm64 arch. (Closes: #796064, #796879, #799968)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 06 Oct 2015 22:46:33 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: kernel-package
-VCS-Git: git://anonscm.debian.org/users/srivasta/debian/kernel-package.git
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/kernel-package.git;a=summary
+VCS-Git: https://anonscm.debian.org/git/users/srivasta/debian/kernel-package.git
+VCS-Browser: https://anonscm.debian.org/gitweb/?p=users/srivasta/debian/kernel-package.git;a=summary
 Priority: optional
 Section: kernel
 Build-Depends-Indep: po4a (>= 0.31), debhelper (>= 9)
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: kernel-package
 Architecture: all
@@ -23,7 +23,7 @@
  meaner kernel.  It also scripts the steps that need be taken to
  compile the kernel, which is quite convenient (forgetting a crucial
  step once was the initial motivation for this package). Please look at
- /usr/share/doc/kernel-package/Rationale.gz for a full list of advantages
+ /usr/share/doc/kernel-package/Rationale for a full list of advantages
  of this package.
 
 Package: kernel-common

## kernel-package 13.018%2Bnmu1~bpo9%2B1

=== debian/changelog ===
kernel-package (13.018+nmu1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 26 Jan 2018 15:27:47 +0300

kernel-package (13.018+nmu1) unstable; urgency=medium

  [ Tobias Frost ]
  * Non-maintainer upload.
  * Do not install REPORTING-BUGS when not available (Closes: #848066,
      #849357, #856322)

 -- Tobias Frost <tobi@debian.org>  Sun, 16 Jul 2017 10:52:57 +0200

## kernel-package 13.018+nmu1

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,8 @@
 MAN5DIR    = $(prefix)/usr/share/man/man5
 MAN8DIR    = $(prefix)/usr/share/man/man8
 
-version := $(shell dpkg-parsechangelog --show-field Version)
+version := $(strip $(shell LC_ALL=C dpkg-parsechangelog          |       \
+                                      egrep '^Version:' | cut -f 2 -d ' '))
 
 
 BASH_DIR:= $(prefix)/etc/bash_completion.d
@@ -103,7 +104,7 @@
 	$(install_file)    Problems                          $(DOCDIR)/Problems
 	$(install_file)    debian/NEWS.Debian                $(DOCDIR)/
 	$(install_file)    _make-kpkg                        $(BASH_DIR)/make_kpkg
-	gzip -9fqr         $(DOCDIR)
+	gzip -9fqrn        $(DOCDIR)
 	(cd $(DOCDIR);     for file in $(DOCFILES); do                  \
                             ln -s ../../$(package)/docs/$$file $$file;  \
                            done)
@@ -135,7 +136,7 @@
           test ! -f kernel-packageconfig.$$lang.8     ||                                               \
            $(install_file) kernel-packageconfig.$$lang.8 $(MANTOP)/$$lang/man8/kernel-packageconfig.8; \
         done
-	gzip -9fqr         $(prefix)/usr/share/man
+	gzip -9fqrn        $(prefix)/usr/share/man
 	$(install_file)    kernel-pkg.conf            $(prefix)/etc/kernel-pkg.conf
 	$(install_program) kernel-packageconfig       $(prefix)/usr/sbin/kernel-packageconfig
 	$(install_program) make-kpkg                  $(prefix)/usr/bin/make-kpkg

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
	dh_auto_test
	bash -n debian/kernel-common.postinst
	bash -n debian/kernel-common.postrm

#Local variables:
#mode: makefile
#End:

## kernel-package 13.018+nmu2

=== Makefile ===
--- 
+++ 
@@ -110,7 +110,6 @@
                            done)
 	$(install_file)    debian/copyright  	      $(DOCDIR)/copyright
 	$(install_file)    kernel-pkg.conf.5 	      $(MAN5DIR)/kernel-pkg.conf.5
-	$(install_file)    kernel-img.conf.5 	      $(MAN5DIR)/kernel-img.conf.5
 	$(install_file)    kernel-package.5  	      $(MAN5DIR)/kernel-package.5
 	$(install_file)    make-kpkg.8       	      $(MAN1DIR)/make-kpkg.1
 	$(install_file)    kernel-packageconfig.8     $(MAN8DIR)/
@@ -119,10 +118,6 @@
                                                          mkdir -p $(MANTOP)/$$lang/man5;               \
           test ! -f kernel-pkg.conf.$$lang.5          ||                                               \
            $(install_file) kernel-pkg.conf.$$lang.5   $(MANTOP)/$$lang/man5/kernel-pkg.conf.5;         \
-          test ! -f kernel-img.conf.$$lang.5          || test -d $(MANTOP)/$$lang/man5    ||           \
-                                                         mkdir -p $(MANTOP)/$$lang/man5;               \
-          test ! -f kernel-img.conf.$$lang.5          ||                                               \
-           $(install_file) kernel-img.conf.$$lang.5   $(MANTOP)/$$lang/man5/kernel-img.conf.5;         \
           test ! -f kernel-package.$$lang.5           || test -d $(MANTOP)/$$lang/man5    ||           \
                                                          mkdir -p $(MANTOP)/$$lang/man5;               \
           test ! -f kernel-package.$$lang.5           ||                                               \
@@ -163,8 +158,6 @@
 	for lang in de fr; do                        \
           test ! -f kernel-pkg.conf.$$lang.5 ||      \
             rm  kernel-pkg.conf.$$lang.5      ;      \
-	  test ! -f kernel-img.conf.$$lang.5 ||      \
-            rm  kernel-img.conf.$$lang.5      ;      \
 	  test ! -f kernel-package.$$lang.5 ||       \
             rm  kernel-package.$$lang.5       ;      \
 	  test ! -f make-kpkg.$$lang.8 ||            \

=== debian/changelog ===
kernel-package (13.018+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * kernel-common: Remove kernel-img.conf(5) and recommend linux-base
    instead (Closes: #947340; see #925415)
  * Refresh translation files for removal of kernel-img.conf(5)
  * debian/control: Point Vcs-{Browser,Git} at Salsa

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 25 Dec 2019 22:27:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: kernel-package
-VCS-Git: https://anonscm.debian.org/git/users/srivasta/debian/kernel-package.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=users/srivasta/debian/kernel-package.git;a=summary
+VCS-Git: https://salsa.debian.org/srivasta/kernel-package.git
+VCS-Browser: https://salsa.debian.org/srivasta/kernel-package
 Priority: optional
 Section: kernel
 Build-Depends-Indep: po4a (>= 0.31), debhelper (>= 9)
@@ -29,6 +29,7 @@
 Package: kernel-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: linux-base (>= 4.6~)
 Suggests: kernel-package
 Enhances: kernel-package, linux-image
 Replaces: kernel-package (<= 13.008)
